com.io7m.jtensors.core.unparameterized.matrices

## Class Matrix4x4F.Builder

- java.lang.Object
- - com.io7m.jtensors.core.unparameterized.matrices.Matrix4x4F.Builder

- Enclosing class:
    Matrix4x4F

      public static final class Matrix4x4F.Builder
      extends Object

  Builds instances of type `Matrix4x4F`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Matrix4x4F` | `build()` Builds a new `Matrix4x4F`.
    `Matrix4x4F.Builder` | `from(Matrix4x4FType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.matrices.Matrix4x4FType` instance.
    `Matrix4x4F.Builder` | `from(MatrixReadable4x4FType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable4x4FType` instance.
    `Matrix4x4F.Builder` | `setR0c0(float r0c0)` Initializes the value for the `r0c0` attribute.
    `Matrix4x4F.Builder` | `setR0c1(float r0c1)` Initializes the value for the `r0c1` attribute.
    `Matrix4x4F.Builder` | `setR0c2(float r0c2)` Initializes the value for the `r0c2` attribute.
    `Matrix4x4F.Builder` | `setR0c3(float r0c3)` Initializes the value for the `r0c3` attribute.
    `Matrix4x4F.Builder` | `setR1c0(float r1c0)` Initializes the value for the `r1c0` attribute.
    `Matrix4x4F.Builder` | `setR1c1(float r1c1)` Initializes the value for the `r1c1` attribute.
    `Matrix4x4F.Builder` | `setR1c2(float r1c2)` Initializes the value for the `r1c2` attribute.
    `Matrix4x4F.Builder` | `setR1c3(float r1c3)` Initializes the value for the `r1c3` attribute.
    `Matrix4x4F.Builder` | `setR2c0(float r2c0)` Initializes the value for the `r2c0` attribute.
    `Matrix4x4F.Builder` | `setR2c1(float r2c1)` Initializes the value for the `r2c1` attribute.
    `Matrix4x4F.Builder` | `setR2c2(float r2c2)` Initializes the value for the `r2c2` attribute.
    `Matrix4x4F.Builder` | `setR2c3(float r2c3)` Initializes the value for the `r2c3` attribute.
    `Matrix4x4F.Builder` | `setR3c0(float r3c0)` Initializes the value for the `r3c0` attribute.
    `Matrix4x4F.Builder` | `setR3c1(float r3c1)` Initializes the value for the `r3c1` attribute.
    `Matrix4x4F.Builder` | `setR3c2(float r3c2)` Initializes the value for the `r3c2` attribute.
    `Matrix4x4F.Builder` | `setR3c3(float r3c3)` Initializes the value for the `r3c3` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final Matrix4x4F.Builder from(Matrix4x4FType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.matrices.Matrix4x4FType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Matrix4x4F.Builder from(MatrixReadable4x4FType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable4x4FType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setR0c0

          public final Matrix4x4F.Builder setR0c0(float r0c0)

      Initializes the value for the `r0c0` attribute.
      Parameters:
        `r0c0` - The value for r0c0
      Returns:
        `this` builder for use in a chained invocation

    - #### setR0c1

          public final Matrix4x4F.Builder setR0c1(float r0c1)

      Initializes the value for the `r0c1` attribute.
      Parameters:
        `r0c1` - The value for r0c1
      Returns:
        `this` builder for use in a chained invocation

    - #### setR0c2

          public final Matrix4x4F.Builder setR0c2(float r0c2)

      Initializes the value for the `r0c2` attribute.
      Parameters:
        `r0c2` - The value for r0c2
      Returns:
        `this` builder for use in a chained invocation

    - #### setR0c3

          public final Matrix4x4F.Builder setR0c3(float r0c3)

      Initializes the value for the `r0c3` attribute.
      Parameters:
        `r0c3` - The value for r0c3
      Returns:
        `this` builder for use in a chained invocation

    - #### setR1c0

          public final Matrix4x4F.Builder setR1c0(float r1c0)

      Initializes the value for the `r1c0` attribute.
      Parameters:
        `r1c0` - The value for r1c0
      Returns:
        `this` builder for use in a chained invocation

    - #### setR1c1

          public final Matrix4x4F.Builder setR1c1(float r1c1)

      Initializes the value for the `r1c1` attribute.
      Parameters:
        `r1c1` - The value for r1c1
      Returns:
        `this` builder for use in a chained invocation

    - #### setR1c2

          public final Matrix4x4F.Builder setR1c2(float r1c2)

      Initializes the value for the `r1c2` attribute.
      Parameters:
        `r1c2` - The value for r1c2
      Returns:
        `this` builder for use in a chained invocation

    - #### setR1c3

          public final Matrix4x4F.Builder setR1c3(float r1c3)

      Initializes the value for the `r1c3` attribute.
      Parameters:
        `r1c3` - The value for r1c3
      Returns:
        `this` builder for use in a chained invocation

    - #### setR2c0

          public final Matrix4x4F.Builder setR2c0(float r2c0)

      Initializes the value for the `r2c0` attribute.
      Parameters:
        `r2c0` - The value for r2c0
      Returns:
        `this` builder for use in a chained invocation

    - #### setR2c1

          public final Matrix4x4F.Builder setR2c1(float r2c1)

      Initializes the value for the `r2c1` attribute.
      Parameters:
        `r2c1` - The value for r2c1
      Returns:
        `this` builder for use in a chained invocation

    - #### setR2c2

          public final Matrix4x4F.Builder setR2c2(float r2c2)

      Initializes the value for the `r2c2` attribute.
      Parameters:
        `r2c2` - The value for r2c2
      Returns:
        `this` builder for use in a chained invocation

    - #### setR2c3

          public final Matrix4x4F.Builder setR2c3(float r2c3)

      Initializes the value for the `r2c3` attribute.
      Parameters:
        `r2c3` - The value for r2c3
      Returns:
        `this` builder for use in a chained invocation

    - #### setR3c0

          public final Matrix4x4F.Builder setR3c0(float r3c0)

      Initializes the value for the `r3c0` attribute.
      Parameters:
        `r3c0` - The value for r3c0
      Returns:
        `this` builder for use in a chained invocation

    - #### setR3c1

          public final Matrix4x4F.Builder setR3c1(float r3c1)

      Initializes the value for the `r3c1` attribute.
      Parameters:
        `r3c1` - The value for r3c1
      Returns:
        `this` builder for use in a chained invocation

    - #### setR3c2

          public final Matrix4x4F.Builder setR3c2(float r3c2)

      Initializes the value for the `r3c2` attribute.
      Parameters:
        `r3c2` - The value for r3c2
      Returns:
        `this` builder for use in a chained invocation

    - #### setR3c3

          public final Matrix4x4F.Builder setR3c3(float r3c3)

      Initializes the value for the `r3c3` attribute.
      Parameters:
        `r3c3` - The value for r3c3
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public Matrix4x4F build()

      Builds a new `Matrix4x4F`.
      Returns:
        An immutable instance of Matrix4x4F
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com